from random import randint

import pizza09 as pz


def get_random_item(dictionary):
    items = list(dictionary)
    random = randint(0, len(items) - 1)
    return items[random]


pizzas = {"margherita": 6.0, "napoletana": 7.0, "marinara": 7.5}
extras = {"mushrooms": 0.5, "cheese": 1.0, "anchovies": 1.5, "sausage": 1.8}

basket = []
try:
    pizza_counter = 0
    while True:
        pizza_type = get_random_item(pizzas)
        pizza_price = pizzas[pizza_type]

        pizza = pz.Pizza(pizza_type, pizza_price)

        n_random_extras = randint(1, 3)
        for e in range(n_random_extras):
            extra_type = get_random_item(extras)
            extra_price = extras[extra_type]
            pizza.add_extra(extra_type, extra_price)

        basket.append(pizza)
        pizza_counter += 1
        print(f"added {pizza_counter} pizzas to basket")
except MemoryError:
    print("Rats! Out of memory ...")

total_price = 0.0
for pizza in basket:
    total_price += pizza.price

print(f"Congratulations, you have won £{total_price:.2f} worth of pizzas:")
